import { CustomDecorator } from '@nestjs/common';
export declare const META_PUBLIC = "keycloak-public";
/**
 * Decorator that assigns Metadata to be used by Auth and Resource Guards.
 * Grants public access bypassing all Guards.
 *
 * For example: \
 * `@Public()`
 *
 * @fritzforsit
 */
export declare const Public: () => CustomDecorator<string>;
//# sourceMappingURL=public.decorator.d.ts.map